using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.IO;

namespace skyscraper5.Dvb.DataBroadcasting.Biop
{
    class LiteComponent
    {
        public LiteComponent(MemoryStream ms)
        {
            ComponentId = ms.ReadUInt32BE();

            byte componentDataLength = ms.ReadUInt8();
            ComponentData = ms.ReadBytes(componentDataLength);
        }

        public byte[] ComponentData { get; set; }

        public uint ComponentId { get; private set; }
    }
}
